
SET SQL_MODE=ANSI;
SET storage_engine = INNODB;






DROP VIEW IF EXISTS "GTTut-ListeDeroul-VillesRef";

DROP VIEW IF EXISTS "GTTut-ListeDeroul-PysVilRef";

DROP VIEW IF EXISTS "GTTut-ListeDeroul-PysCapRef";

DROP TABLE IF EXISTS "GTTut-ListeDeroul-ContPysVil";

DROP TABLE IF EXISTS "GTTut-ListeDeroul-Annuaire";



CREATE TABLE "GTTut-ListeDeroul-ContPysVil"
(
	"Continent" varchar(50) NOT NULL ,
	"Pays" varchar(50) NOT NULL ,
	"Ville" varchar(50) NOT NULL ,
	"EstUneCapitale" int DEFAULT 0  NOT NULL,
	CONSTRAINT "PK_GTTut-ListeDeroul-CntPsVl" PRIMARY KEY 
	(
	"Continent" , 
	"Pays" , 
	"Ville"
	)
);




CREATE TABLE "GTTut-ListeDeroul-Annuaire"
(
	"AdresseMail" varchar(100) NULL ,
	"Continent" varchar(100) NOT NULL,
	CONSTRAINT "PK_GTTut-Annuaire" PRIMARY KEY 
	(
	"Continent"
	)
);



CREATE VIEW "GTTut-ListeDeroul-VillesRef"
AS
SELECT     "Continent", "Ville" AS "VillePourContinent"
FROM         "GTTut-ListeDeroul-ContPysVil";





CREATE VIEW "GTTut-ListeDeroul-PysVilRef"
AS
SELECT     "Continent", "Pays" AS "PaysVilles-Pays", "Ville" AS "PaysVilles-Ville", "EstUneCapitale"
FROM         "GTTut-ListeDeroul-ContPysVil";


CREATE VIEW "GTTut-ListeDeroul-PysCapRef"
AS
SELECT     "Continent", "Pays" AS "PaysRef", "Ville" AS "CapitaleRef"
FROM         "GTTut-ListeDeroul-ContPysVil"
WHERE     ("EstUneCapitale" = 1);








