

begin execute immediate 'alter table "GTTut-ListeDeroul-ContPysVil" DROP CONSTRAINT "PK_GTTut-ListeDeroul-CntPsVl"'; exception when others then null; end;

begin execute immediate 'alter table "GTTut-ListeDeroul-Annuaire" DROP CONSTRAINT "PK_GTTut-Annuaire"'; exception when others then null; end;

begin execute immediate 'drop view "GTTut-ListeDeroul-VillesRef"'; exception when others then null; end;

begin execute immediate 'drop view "GTTut-ListeDeroul-PysVilRef"'; exception when others then null; end;

begin execute immediate 'drop view "GTTut-ListeDeroul-PysCapRef"'; exception when others then null; end;

begin execute immediate 'drop table "GTTut-ListeDeroul-ContPysVil" purge'; exception when others then null; end;

begin execute immediate 'drop table "GTTut-ListeDeroul-Annuaire" purge'; exception when others then null; end;



CREATE TABLE "GTTut-ListeDeroul-ContPysVil"
(
	"Continent" VARCHAR2(50) NOT NULL ,
	"Pays" VARCHAR2(50) NOT NULL ,
	"Ville" VARCHAR2(50) NOT NULL ,
	"EstUneCapitale" INTEGER DEFAULT 0  NOT NULL,
	CONSTRAINT "PK_GTTut-ListeDeroul-CntPsVl" PRIMARY KEY 
	(
	"Continent" , 
	"Pays" , 
	"Ville"
	)
);


CREATE TABLE "GTTut-ListeDeroul-Annuaire"
(
	"AdresseMail" VARCHAR2(100) NULL ,
	"Continent" VARCHAR2(100) NOT NULL,
	CONSTRAINT "PK_GTTut-Annuaire" PRIMARY KEY 
	(
	"Continent"
	)
);

CREATE VIEW "GTTut-ListeDeroul-VillesRef"
AS
SELECT     "Continent", "Ville" AS "VillePourContinent"
FROM         "GTTut-ListeDeroul-ContPysVil";

CREATE VIEW "GTTut-ListeDeroul-PysVilRef"
AS
SELECT     "Continent", "Pays" AS "PaysVilles-Pays", "Ville" AS "PaysVilles-Ville", "EstUneCapitale"
FROM         "GTTut-ListeDeroul-ContPysVil";

CREATE VIEW "GTTut-ListeDeroul-PysCapRef"
AS
SELECT     "Continent", "Pays" AS "PaysRef", "Ville" AS "CapitaleRef"
FROM         "GTTut-ListeDeroul-ContPysVil"
WHERE     ("EstUneCapitale" = 1);




