

IF OBJECT_ID('"PK_GTTut-ListeDeroul-CntPsVl"', 'PK') IS NOT NULL ALTER TABLE "GTTut-ListeDeroul-ContPysVil" DROP CONSTRAINT "PK_GTTut-ListeDeroul-CntPsVl";

IF OBJECT_ID('"PK_GTTut-Annuaire"', 'PK') IS NOT NULL ALTER TABLE "GTTut-ListeDeroul-Annuaire" DROP CONSTRAINT "PK_GTTut-Annuaire";

IF OBJECT_ID('"GTTut-ListeDeroul-VillesRef"', 'V') IS NOT NULL DROP VIEW "GTTut-ListeDeroul-VillesRef";

IF OBJECT_ID('"GTTut-ListeDeroul-PysVilRef"', 'V') IS NOT NULL DROP VIEW "GTTut-ListeDeroul-PysVilRef";

IF OBJECT_ID('"GTTut-ListeDeroul-PysCapRef"', 'V') IS NOT NULL DROP VIEW "GTTut-ListeDeroul-PysCapRef";

IF OBJECT_ID('"GTTut-ListeDeroul-ContPysVil"', 'U') IS NOT NULL DROP TABLE "GTTut-ListeDeroul-ContPysVil";

IF OBJECT_ID('"GTTut-ListeDeroul-Annuaire"', 'U') IS NOT NULL DROP TABLE "GTTut-ListeDeroul-Annuaire";



CREATE TABLE "GTTut-ListeDeroul-ContPysVil"
(
	"Continent" nvarchar(50) NOT NULL ,
	"Pays" nvarchar(50) NOT NULL ,
	"Ville" nvarchar(50) NOT NULL ,
	"EstUneCapitale" int DEFAULT 0  NOT NULL,
	CONSTRAINT "PK_GTTut-ListeDeroul-CntPsVl" PRIMARY KEY 
	(
	"Continent" , 
	"Pays" , 
	"Ville"
	)
);



GO



CREATE TABLE "GTTut-ListeDeroul-Annuaire"
(
	"AdresseMail" nvarchar(100) NULL ,
	"Continent" nvarchar(100) NOT NULL,
	CONSTRAINT "PK_GTTut-Annuaire" PRIMARY KEY 
	(
	"Continent"
	)
);



GO


CREATE VIEW "GTTut-ListeDeroul-VillesRef"
AS
SELECT     "Continent", "Ville" AS "VillePourContinent"
FROM         "GTTut-ListeDeroul-ContPysVil";


GO



CREATE VIEW "GTTut-ListeDeroul-PysVilRef"
AS
SELECT     "Continent", "Pays" AS "PaysVilles-Pays", "Ville" AS "PaysVilles-Ville", "EstUneCapitale"
FROM         "GTTut-ListeDeroul-ContPysVil";



GO



CREATE VIEW "GTTut-ListeDeroul-PysCapRef"
AS
SELECT     "Continent", "Pays" AS "PaysRef", "Ville" AS "CapitaleRef"
FROM         "GTTut-ListeDeroul-ContPysVil"
WHERE     ("EstUneCapitale" = 1);



GO





